@echo off
ECHO -
ECHO ---
ECHO --------------------------------------------------------
ECHO Instalacja aktualizacji systemu Sage Symfonia
ECHO --------------------------------------------------------
ECHO ---
ECHO -
rem Skrypt instaluje dll z aktualnego katalogu do GAC'a
rem Katalog w ktrym jest skrypt
set SCRIPTDIR=%~dp0
rem Katalog w jakim jestesmy w konsoli w trakcie uruchamiania skryptu
set CURRENTDIR=%CD%

rem Opis poprawki
rem TYPE %SCRIPTDIR%ReadMe.txt

rem Wykrywanie wersji Windows
for /f "tokens=4-7 delims=[.] " %%i in ('ver') do (if %%i==Version (set WIN_VER=%%j.%%k) else (set WIN_VER=%%i.%%j))
echo Wersja systemu Windows: %WIN_VER%
ECHO -
ECHO Instalowanie assembly do GAC:
ECHO -

::list of Microsoft Windows versions.
::6.3  Windows 8.1 and Windows Server 2012 
::6.2  Windows 8 
::6.1  Windows 7 
::6.0  Windows Vista 
::5.2  Windows XP Professional x64 
::5.1  Windows XP 
::5.0  Windows 2000 
::4.10 Windows 98 

rem Wybr odpowiedniego gacutil'a
IF "%WIN_VER%"=="5.1" (
SET GACUTIL=Tools\gacutil\WinXP\gacutil.exe
) ELSE IF "%WIN_VER%"=="5.2" (
SET GACUTIL=Tools\gacutil\WinXP\gacutil.exe
) ELSE SET GACUTIL=Tools\gacutil\Win7\gacutil.exe

SET GACUTIL=%SCRIPTDIR%%GACUTIL%
rem ECHO %GACUTIL%

cd /d "%SCRIPTDIR%Assemblies2GAC\"
set /a "gac_errors_count = 0"
for /f %%F in ('dir /b "%SCRIPTDIR%Assemblies2GAC\"') do call :gac %%F
IF NOT %gac_errors_count%==0 GOTO error
						  
ECHO -
ECHO ---
ECHO -
ECHO Kopiowanie plikow do katalogow:
ECHO -
IF "%CommonProgramFiles(x86)%"=="" SET CommonProgramFiles(x86)=%CommonProgramFiles%

xcopy "%SCRIPTDIR%\CommonFiles(x86)\*" "%CommonProgramFiles(x86)%\" /E /F /Y /R
IF %errorlevel%==0 GOTO ok

:error
ECHO -
ECHO ---
ECHO --------------------------------------------------------
ECHO EEEEEE  RRRRRR   RRRRRR    OOOOO   RRRRRR 
ECHO EE      RR   RR  RR   RR  OO   OO  RR   RR
ECHO EEEEE   RRRRRR   RRRRRR   OO   OO  RRRRRR 
ECHO EE      RR  RR   RR  RR   OO   OO  RR  RR 
ECHO EEEEEE  RR   RR  RR   RR   OOOOO   RR   RR
ECHO --------------------------------------------------------
ECHO UWAGA!
ECHO Aktualizacja NIE zostala zainstalowana.
ECHO Prosze uruchomic skrypt z prawami administratora.
ECHO --------------------------------------------------------
ECHO ---
ECHO -
PAUSE
EXIT 1

:ok
ECHO -
ECHO ---
ECHO --------------------------------------------------------
ECHO  OOOOO   KK   KK 
ECHO OO   OO  KK KK
ECHO OO   OO  KKK 
ECHO OO   OO  KK KK 
ECHO  OOOOO   KK   KK
ECHO --------------------------------------------------------
ECHO Aktualizacja zostala zainstalowana poprawnie
ECHO --------------------------------------------------------
ECHO ---
ECHO -
PAUSE
EXIT 0


REM procedurka instalowania dll'ki do GAC'a
:gac
"%GACUTIL%" /f /silent /i %1
IF %errorlevel%==1 goto :gac_error
IF %errorlevel%==0 echo OK  %1
exit /b %errorlevel%
:gac_error
echo ERR %1
"%GACUTIL%" /f /nologo /i %1
set /a "gac_errors_count=%gac_errors_count% + 1"
exit /b %errorlevel%
